Skip to content

organization_members_assign-role

Assigns a role to a member of a product

Tool

organization_members_assign-role

Assigns a role to a member of a product

Assigns a role to a member of a product

Behavior

HTTP
PUT /governance/api/v1/products/:productId/members/:memberId/role

Arguments

Name
Type
Required
Description
roleId
string
•
No description in the catalog.
memberId
string
•
No description in the catalog.
productId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
role
string
•
roleId
string
•
status
string
•
userId
string
•
agentId
string
•
joinedAt
string
•
expiresAt
string
•
invitedAt
string
•
invitedBy
string
•
productId
string
•
grantSource
string
•
permissions
object
•

Try it

Assigns a role to a member of a product.

When to use

Assigns a role to a member of a product

Example

Ask your agent something like this:

Assigns a role to a member of a product.

The agent will invoke organization_members_assign-role with these arguments:

{
  "roleId": "<roleId>",
  "memberId": "<memberId>",
  "productId": "<productId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select